# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_name_x86 = "vcredist_x86.exe"
bin_name_x64 = "vcredist_x64.exe"
silent_args = "/quiet /norestart"

url_dl_x86 = "https://aka.ms/highdpimfc2013x86enu"
url_dl_x64 = "https://aka.ms/highdpimfc2013x64enu"


def update_package():
    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    # Downloading binaries
    print("Downloading " + bin_name_x64)
    wget(url_dl_x64, bin_name_x64, proxies=proxies)
    print("Downloading " + bin_name_x86)
    wget(url_dl_x86, bin_name_x86, proxies=proxies)

    # Changing version of the package
    version = get_version_from_binary(bin_name_x86)
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]))
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)
